from Components.VariableText import VariableText
from enigma import eLabel
from Components.Sensors import sensors
from Tools.HardwareInfo import HardwareInfo
from Renderer import Renderer

class CarbonHDRpm(Renderer, VariableText):
	def __init__(self):
		Renderer.__init__(self)
		VariableText.__init__(self)
		if "8000" in HardwareInfo().get_device_name() or "500" in HardwareInfo().get_device_name() or "800se" in HardwareInfo().get_device_name():
			self.ZeigeRpm = True
		else:
			self.ZeigeRpm = False
	GUI_WIDGET = eLabel

	def changed(self, what):
		if not self.suspended:
			if self.ZeigeRpm:
				tt = 0
				try:
					templist = sensors.getSensorsList(sensors.TYPE_FAN_RPM)
					id = templist[0]
					tt = sensors.getSensorValue(id)
				except:
					pass
				self.text = "Rpm: " + str(tt/2)

	def onShow(self):
		self.suspended = False
		self.changed(None)

	def onHide(self):
		self.suspended = True
